import { defAxios as request } from '@/utils/http'
const baseUrl = window.settings.apis
export function getMubiao() {
  return request({
    url: `${baseUrl}/traj/allTarget`,
    method: 'get',
  })
}

export function getMubiaoPos(data) {
  return request({
    url: `${baseUrl}/traj/queryTraj`,
    method: 'post',
    data,
  })
}

export function sendCheckedTargetIds(ids) {
  return request({
    url: `${baseUrl}/traj/chosenTarget`,
    method: 'put',
    data: ids,
  })
}

export function getMubiaoHisTraj(params) {
  // 获取历史图片
  return request({
    url: `${baseUrl}/traj/historyById`,
    method: 'get',
    params,
  })
}
